Subject: Re: [RFH] GSoC 2015 application

From: Jeff King <[email-masked]>
Date: Wed, 18 Feb 2015 14:32:34 -0500

Cc-ing this to the msysgit list, which I should have done in the first
place. Certainly ideas specific to Git for Windows would be welcome.

On Wed, Feb 18, 2015 at 02:14:17PM -0500, Jeff King wrote:

> The response to my previous email was not overwhelming, but people did
> express some interest in Git doing GSoC this year. So I've started on
> the application, using last year's version as a template.
> 
> The materials are all in:
> 
>   https://github.com/git/git.github.io
> 
> If you'd like to help, I'm happy to take emailed patches, pull requests,
> or just plain-English suggestions. If you want push access to that
> repository, email me.
> 
> A draft of the application is here:
> 
>   http://git.github.io/SoC-2015-Org-Application.html
> 
> The questions are the same as last year, so with the exception of some
> reviewing and updating for the new year, this shouldn't be too much
> work. I do need somebody to volunteer as backup admin. This doesn't need
> to involve any specific commitment, but is mostly about what to do if I
> get hit by a bus. Of course helping with application review,
> coordinating mentors, etc, is welcome from the backup admin.
> 
> Where I really need help now is in the "ideas" page:
> 
>   http://git.github.io/SoC-2015-Ideas.html
> 
> and the list of microprojects:
> 
>   http://git.github.io/SoC-2015-Microprojects.html
> 
> Note that I've listed microprojects as required for students this year
> (whereas last year, we only strongly encouraged them). I think they
> worked very well, but that requirement is up for debate.
> 
> We may be able to port over ideas or microprojects from last year, but I
> want to do so only after somebody has confirmed that they are still in
> need of doing. And of course new ideas and microprojects are very
> welcome.
> 
> The students will not begin looking at these until the participating
> projects are announced. But the GSoC folks _will_ be looking at the
> Ideas page, which is linked from the application. So while we can tweak
> it later, it needs to have content now (in the next 48 hours). So if you
> must choose which to focus your efforts on, do Ideas first.
> 
> -Peff